@font-face {
    font-family: 'Stimcard';
    src: url('/static/Stimcard.otf') format('opentype');
}

@keyframes fade-in {
    from {
        opacity: 0;
    }
    to {
        opacity: 1;
    }
}

@keyframes slide-up {
    from {
        transform: translateY(50px);
    }
    to {
        transform: translateY(0);
    }
}

:root {
    --mouse-x: 0;
    --mouse-y: 0;
    --parallax: 1;
}

body {
    margin: 0px;
    font-family: Stimcard,Calibri;
}

.bg {
    position: fixed;
    z-index: -1;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    background: linear-gradient(180deg,rgba(171, 230, 255, 1) 0%, rgba(153, 167, 255, 1) 100%);
}

h2 {
    display: inline-block;
}

.row {
    display: flex;
    flex-direction: row;
    gap: 20px;
}

.col {
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.content {
    display: grid;
}

.content-block {
    max-width: 800px;
    justify-self: center;
    background: rgba(0, 0, 0, 0.1);
    color: white;
    padding: 50px;
    border-radius: 50px;
    margin: 50px;
}

.content-block-image {
    min-width: 50%;
    justify-content: center;
    text-align: center;
}

.button {
    display: inline-block;
    text-align: center;
    background: black;
    color: white;
    text-decoration: none;
    padding: 20px;
    border-radius: 50px;
    font-size: larger;
    transition: 0.25s;
}

.button-download {
    background: #f2c149;
}

.button-download:hover {
    background: #e6b845;
    transition: 0.25s;
}

.fade-in-slide-1 {
    opacity: 0;
    animation: fade-in 1s ease-in-out forwards, slide-up 1s ease-out forwards;
    animation-delay: 0s
}

.fade-in-slide-2 {
    opacity: 0;
    animation: fade-in 1s ease-in-out forwards, slide-up 1s ease-out forwards;
    animation-delay: 0.2s;
}

.floating-bg-layer {
    position: absolute;
    transform: translate(calc(var(--mouse-x) * -50 * var(--parallax)), calc(var(--mouse-y) * -50 * var(--parallax)));
    transition: transform 1s ease-out;
}

.floating-bg-image-left{
    left: 0;
    top: 0;
    bottom: 0;
    margin-top: auto;
    margin-bottom: auto;
}

.fade-in-image {
    animation: fade-in 2s ease-in-out forwards;
}

.buffer {
    height: 120px;
}